Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageAudio

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageAudio

Enclosing class:
  TdApi

public static final class TdApi.InputMessageAudio extends TdApi.InputMessageContent
An audio message.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InputThumbnail`
`albumCoverThumbnail`
Thumbnail of the cover for the album; pass null to skip thumbnail uploading.
`TdApi.InputFile`
`audio`
Audio file to be sent.
`TdApi.FormattedText`
`caption`
Audio caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the audio, in seconds; may be replaced by the server.
`String`
`performer`
Performer of the audio; 0-64 characters, may be replaced by the server.
`String`
`title`
Title of the audio; 0-64 characters; may be replaced by the server.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageAudio()`
An audio message.
`InputMessageAudio(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, String title, String performer, TdApi.FormattedText caption)`
An audio message.
`InputMessageAudio(DataInput input)`
An audio message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### audio

public TdApi.InputFile audio
Audio file to be sent.

### albumCoverThumbnail

public TdApi.InputThumbnail albumCoverThumbnail
Thumbnail of the cover for the album; pass null to skip thumbnail uploading.

### duration

public int duration
Duration of the audio, in seconds; may be replaced by the server.

### title

public String title
Title of the audio; 0-64 characters; may be replaced by the server.

### performer

public String performer
Performer of the audio; 0-64 characters, may be replaced by the server.

### caption

public TdApi.FormattedText caption
Audio caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageAudio

public InputMessageAudio()
An audio message.

### InputMessageAudio

public InputMessageAudio(TdApi.InputFile audio, TdApi.InputThumbnail albumCoverThumbnail, int duration, String title, String performer, TdApi.FormattedText caption)
An audio message.

Parameters:
  `audio` - Audio file to be sent.
  `albumCoverThumbnail` - Thumbnail of the cover for the album; pass null to skip thumbnail uploading.
  `duration` - Duration of the audio, in seconds; may be replaced by the server.
  `title` - Title of the audio; 0-64 characters; may be replaced by the server.
  `performer` - Performer of the audio; 0-64 characters, may be replaced by the server.
  `caption` - Audio caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### InputMessageAudio

public InputMessageAudio(DataInput input) throws IOException
An audio message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`